Skip to content
For the complete documentation index, see llms.txt. This page is also available as Markdown.

Delete Tokens

Delete a token by Key ID (tokenId). To access the endpoint, 'Basic Authentication' or 'Token Authentication' tokens with valid credentials must be encapsulated in the header.

Note: Users with 2-Factor Authentication must use 2FA-secured tokens to delete existing tokens. Token deletion can only be performed in the DCD using Token Manager.Users with multiple contracts must also provide a valid contract number in the `X-Contract-Number` header.

delete
Authorizations
AuthorizationstringRequired

You will need to base64 encode the string containing your credentials.

Note:

  • Basic Authentication is supported only when 2-Factor Authentication is not configured.
  • Users with 2-Factor Authentication activated must generate new 2FA-secured tokens in the DCD using [Token Manager](https://docs.ionos.com/cloud/set-up-ionos-cloud/management/identity-access-management/token-manager). These tokens do not inherit the 2FA-secured property by default.
  • Token deletion is only possible using the Token Manager.
Separate your username and password with a colon. Example: ``username:password`` and send it as 'Authorization' request header. For more information, see [Basic access authentication](https://en.wikipedia.org/wiki/Basic_access_authentication)
Path parameters
tokenIdstringRequired

The Key ID of the token (can be retrieved from the header section of the token).

Header parameters
X-Contract-Numberinteger · int32Optional

Users with multiple contracts must provide the contract number, for which the token is generated.

Responses
200

Token successfully deleted

application/json
successbooleanRead-onlyOptional
delete/tokens/{tokenId}
DELETE /auth/v1/tokens/{tokenId} HTTP/1.1
Host: api.ionos.com
Authorization: Basic username:password
Accept: */*
{
  "success": true
}

Last updated

Was this helpful?